<resources>

    <!-- search view style -->
    <style name="SearchViewStyle" parent="Widget.AppCompat.SearchView.ActionBar">
        <item name="iconifiedByDefault">false</item>
        <item name="searchIcon">@drawable/ic_baseline_search_24</item>
        <item name="queryHint">@string/search_hint</item>
    </style>

    <!-- player theme -->
    <style name="PlayerTheme" parent="AppTheme">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowActionBar">false</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowTranslucentNavigation">true</item>
    </style>

    <!-- splash theme -->
    <style name="Theme.App.Starting" parent="Theme.SplashScreen">
        <!-- Set the splash screen background, animated icon, and animation duration. -->
        <item name="windowSplashScreenBackground">@android:color/black</item>

        <!-- Use windowSplashScreenAnimatedIcon to add either a drawable or an -->
        <!-- animated drawable. One of these is required. -->
        <item name="windowSplashScreenAnimatedIcon">@mipmap/ic_splash_round</item>
        <item name="windowSplashScreenAnimationDuration">200</item>

        <!-- Set the theme of the Activity that directly follows your splash screen. -->
        <item name="postSplashScreenTheme">@style/AppTheme</item> <!-- Required -->
    </style>

    <!-- shapes -->
    <style name="ShapeAppearance.Teapod.RoundedPoster" parent="ShapeAppearance.MaterialComponents.LargeComponent">
        <item name="cornerFamily">rounded</item>
        <item name="cornerSize">5dp</item>
    </style>

    <!-- fullscreen dialog fragments -->
    <style name="FullScreenDialogStyle" parent="AppTheme">
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowTranslucentNavigation">true</item>
    </style>

</resources>